== Changelog ==

= v4.0.5 – Jun 26, 2026 =

**New:** Project Templates — create projects faster from reusable templates (full picker and management with Pro).
**Improved:** Action buttons (create, edit, delete, status) now stay hidden when you do not have the matching capability, across projects, tasks, task lists, milestones, and files.
**Fixed:** Task list screen inconsistencies, a stuck add-task assignee dropdown, and a broken task link in comment-notification emails.
**Fixed:** PHP 8.1–8.5 deprecation notices no longer leak into REST API responses.

= v4.0.4 – Jun 11, 2026 =

**Improved:** Settings, project, and task screens now adapt cleanly to phones and small screens.
**Fixed:** The database version is now saved correctly after an update finishes, so the database-upgrade notice no longer keeps reappearing.

= v4.0.3 – Jun 9, 2026 =

**Fixed:** Comment text color and highlight now persist after saving.
**Fixed:** Tables now render with visible borders inside task comments, sheets, and dialogs.
**Improved:** Image attachments show full thumbnails; PDF and video files use clear icons and open in a centered preview with Download and Open-in-new-tab options.
**Fixed:** The completed-task status circle is now clearly visible instead of near-invisible.
**Improved:** The promotional banner is now hidden for Pro users and on the frontend.


= v4.0.2 – May 22, 2026 =

**New:** Promotional banner showcases timely WeDevs offers on the Projects and Premium pages, with per-banner dismiss.
**New:** Right-to-left layout and bundled Arabic translation for RTL locales (ar, he, fa, ur).
**Improved:** Discussions and comments preserve tables, cell colors, headings, text color, highlight, and alignment when pasted from Excel, Word, or Google Sheets.
**Improved:** Rich text editor adds headings, color pickers, highlight, text alignment, table insertion, and inline images.
**Improved:** Editing a comment or discussion lets you add and remove file attachments inline.
**Improved:** "Share your idea" link now opens the new feedback.wedevs.com board.
**Improved:** User avatars fall back to initials when no Gravatar is set.
**Fixed:** Drag-reordering tasks no longer scrambles the order after refresh.
**Fixed:** Subtask and comment counts stay accurate after edits.
**Fixed:** Notifications no longer crash when recipients are sent as a list.
**Fixed:** First-paint route race that briefly bounced users from /invoices to /projects.
**Fixed:** Premium page hero gradient now renders correctly in light mode.
**Fixed:** Translatable strings inside conditional arguments now resolve correctly.
**Fixed:** Sanitizers preserve the value 0 instead of treating it as empty.


= v4.0.1 – May 13, 2026 =

**Improved:** Translated UI strings now load reliably across Activities, Progress, Modules, and other React-based pages.
**Fixed:** Stale fuzzy translations no longer leak into the interface (e.g. wrong labels on task actions).


= v4.0.0 – May 7, 2026 =

**New:** Completely redesigned admin and frontend interface with modern, faster performance.
**New:** Modern sidebar-based navigation with collapsible layout, recent projects, and favorites.
**New:** Right-side panel for task details with comments, attachments, and inline editing.
**New:** Improved state management for faster, more reliable data handling across the app.
**New:** Enhanced rich text editor for discussions and milestones with better formatting options.
**New:** Project duplication feature with category and metadata preservation.
**New:** AI-powered project creation with preview and generation steps.
**New:** Shortcode support for public-facing project manager layouts on the frontend.
**New:** Grid and list view toggle for projects, tasks, and files.

**Improved:** Better integration with WordPress standards for improved stability.
**Improved:** Cleaner, more consistent design system with better spacing and visual hierarchy.
**Improved:** Task rows show priority, assignees, due dates, task types, privacy state, and overdue indicators.
**Improved:** Project cards display progress breakdown, task counts, and created dates.
**Improved:** My Tasks dashboard with unified view across all projects and tabs for better organization.
**Improved:** Pagination and load-more behavior to reduce clutter on large task lists.
**Improved:** File navigation with breadcrumbs, folder support, and improved preview handling.
**Improved:** Settings now organized into tabs (General, Email, TaskTypes, UserMap, Pusher, AI, etc.) for easier access.
**Improved:** Task filtering with search, status, priority, and assignee controls.
**Improved:** Activity feed display for better task history and project overview visibility.
**Improved:** Responsive spacing and layout behavior on smaller screens.

**Fixed:** Security improved for task and comment content to prevent data corruption.
**Fixed:** Confirmation prompts now work consistently across all sensitive actions.
**Fixed:** Task detail integration with Pro modules working smoothly without performance issues.
**Fixed:** Frontend shortcodes now properly display the project manager on pages.
**Fixed:** Sidebar Activities feature now displays correctly when Pro is active regardless of module configuration.

**Update:** Frontend experience now aligned with admin interface using the same design system.

= v3.0.3 – Mar 4, 2026 =
**Fixed:** Resolved an issue where email notifications were not being sent.
**Fixed:** Improved button width handling in the list view.
**Fixed:** Corrected Slovak and other Unicode character capitalization in the `ucfirst` function.
**Fixed:** Automatically infer `link_to_backend` from pages when it is not set.
**Added:** Added support for the `view-all-projects` check and implemented it in the controller.
**Fixed:** Restored missing labels in the tasks list.
**Added:** Feature headway-integration.

= v3.0.2 – Jan 14, 2026 =
**Fixed:** Subscriber Level Authorization issue [#573](https://github.com/weDevsOfficial/wp-project-manager/pull/573).

= v3.0.1 – Dec 24, 2025 =
**Added:** PHP version 8.2+ support.

= v3.0.0 – Dec 18, 2025 =
**Improved:** Aligned plugin description with WordPress.org directory standards.
**Improved:** internal consistency across metadata, versioning, and documentation.
**Improved:** code structure and internationalization for long-term maintainability.
**Fix:** Addressed all categories of issues identified through WordPress.org recommended tool.
**Added:** Attached third-party integration disclosures for better user clarity.
**Improved:** General stability and compatibility.

= v2.6.31 – Dec 4, 2025 =
**Fixed:** Changed Plugin name 'WP Project Manager' to 'Wedevs Project Manager'.

= v2.6.30 – Dec 4, 2025 =
**Fixed:** Better handling of sorting options and offer dismissal timing.
**Improved:** Code quality updates for smoother performance.
**Improved:** New WP-CLI commands to help manage data more easily.
**Improved:** Updated translations and tightened a few security checks.

= v2.6.29 – Nov 24, 2025 =

**Fixed:** AI Response broken error.
**Fixed:** AI Response timeout error.
**Improved:** Dynamic AI Model Selection.

= v2.6.28 – Nov 13, 2025 =

**Added:** AI Project Creation - Generate project plans, task lists, and timelines with AI support.
**Fixed:** Load Pusher scripts only when app_key and cluster are set.

= v2.6.27 – Oct 29, 2025 =

**Improved:** Sanitization to prevent SQL Injection.

= v2.6.26 – Oct 13, 2025 =

**Added:** Italian translation file.
**Fixed:** Hardcoded data exposure issue in the Trello test environment. Thanks to Legion Hunter from Patchstack for responsibly reporting it.

= v2.6.25 – Sep 4, 2025 =

**Improved:** Unwanted trello helper backup file removed.

= v2.6.24 – Apr 28, 2025 =

**Fixed:** Load more task.
**Improved:** Readme.txt file.

= v2.6.23 - Apr 8, 2025 =

**Added:** SVG file upload sanitization & security improvmenet.

= v2.6.22 - Mar 7, 2025 =

**Improved:** Readme.txt file.

= v2.6.21 - Feb 18, 2025 =

**Fix:** Project Category bug for seamless organization.
**Fix:** Resolved Task Type special character display issues.

= v2.6.20 - Feb 13, 2025 =

 **Fix:** Report - Missing Authorization to Authenticated (Subscriber+) Limited Arbitrary Options Update.
 **Fix:** Every task is redirecting to a single task (for subscriber role).
 **Fix:** Authenticated SQL Injection.
 **Added:** new hooks for better extendibility `pm_project_update`.

= v2.6.19 - Feb 13, 2025 =

 **Fix:** Report - Missing Authorization to Authenticated (Subscriber+) Limited Arbitrary Options Update.
 **Fix:** Every task is redirecting to a single task (for subscriber role).
 **Fix:** Authenticated SQL Injection.
 **Added:** new hooks for better extendibility `pm_project_update`.

= v2.6.18 - Feb 12, 2025 =

 **Fix:** Report - Missing Authorization to Authenticated (Subscriber+) Limited Arbitrary Options Update.
 **Fix:** Every task is redirecting to a single task (for subscriber role).
 **Fix:** Authenticated SQL Injection.
 **Added:** new hooks for better extendibility `pm_project_update`.

= v2.6.17 - Dec 26, 2024 =

**Improved:** Enhanced sanitization of user input to strengthen data security.
**Fix:** Resolved SQL security vulnerability to ensure system integrity..

= v2.6.16 - Dec 10, 2024 =

**Update:** WordPress 6.7.1 compatibility
**Fix:** File download permission issue.
**Fix:** WP 6.7.1 translation loaded early error.
**Fix:** Subscriber level data exposure security issue.


= v2.6.15 - Nov 18, 2024 =

**Update:** Tested upto 6.7
**Update:** Version bump & make stable frontend.

= v2.6.14 - Nov 11, 2024 =

**Fix:** Vulnerable security issue.
**Fix:** XSS attack while uploading svg file.
**Fix:** Sub task duplicating issue.

= v2.6.13 - Mar 29, 2024 =

**Fix:** New project's user creation issue.

**Update:** PHP version support PHP-5.6 to PHP-7.2.

= v2.6.12 - Mar 04, 2024 =

**Update:** Version bump & make stable readme character.

= v2.6.11 - Feb 29, 2024 =

**Update:** Version bump & make stable readme character.

= v2.6.10 - Feb 29, 2024 =

**Fix:** Api discussion creation xss vulnerability for authentic users.

= v2.6.9 - Feb 09, 2024 =

**Update:** Version bump & make stable frontend.

= v2.6.8 - Feb 09, 2024 =

**Fix:** User role management api security block for unauthentic project users.
**Fix:** Project discussion create api security handling stuff.
**Fix:** Project modification api security block.

= v2.6.6 - Aug 10, 2023 =

**Fix:** Search users, new users & more features string translation issue.
**Fix:** Authentication error in user project role update.

= v2.6.5 - Jul 24, 2023 =

**Fix:** User controllers meta data updating authentication error.

= v2.6.4 - Jul 14, 2023 =

**Fix:** Translation issues of background email & notifications error messages.
**Fix:** Project creation CTA button name translation issue.
**Fix:** Frontend preview contents translation relevant issues.
**Fix:** Project switch, task creating & several unformatted strings translation issues.

= v2.6.1 - May 24, 2023 =

**Fix:** The email type settings field UI broken issue.
**Fix:** Tasks title content not decoded properly & fix ux issue.
**Fix:** User task calender's starting date data handling security issue.

= v2.6.0 - Nov 30, 2022 =

**New:** Added pm pro version overview for lite users

= v2.5.0 - July 15, 2022 =

**Update:** Compatibility with PHP-8.x
**Update:** Improved codebase to make performance better
**Fix:** Fixed some translation issues

= v2.4.18 - March 28, 2022 =

**Fix:** Fixed Project Searching hover project links. (Issue #437)
**Fix:** Fixed Some Role Permission assign issue after creating project.

= v2.4.17 - Feb 07, 2022 =

**Notice:** Limited time promotional notice on Super Bowl sale

= v2.4.16 - Dec 23, 2021 =

**Fix:** Discussion file url was not downloadable for PDF
**Notice:** Limited time promotional notice on holiday sale

= v2.4.15 - Nov 11, 2021 =

**Update:** ChartJS libraries from v2.x to v3.6.0
**Update:** Removed dummy data, unused files and external cdn links to improve and clean the whole codebase
**Fix:** Data escaping and sanitization issues all over the plugin
**Fix:** Some i18n translation, wrong text-domain issues
**Notice:** Limited time promotional offer regarding Black Friday and Cyber Monday

= v2.4.14 - Oct 11, 2021 =

**Fix:** Data sanitization and validation issues to prevent security threats
**Fix:** Timezone issues in My Calendar
**Fix:** Task file downloading issue by other member of project assignee list
**Fix:** After Task Create Email, `undefined offset` issue in template footer
**Fix:** User assign issue from Project Overview page
**Fix:** Unassigned Reports were not loading
**Notice:** Limited time promotional offer for Halloween

= v2.4.13 - July 16, 2021 =

**Notice:** Limited time promotional offer regarding summer sale
**Update:** Calendar event content styles
**Update:** Some library upgrade for better performance
**Fix:** My Task report was not getting accurate result in some cases
**Fix:** My Calendar single task was unable to be moved
**Fix:** After creating a task, it was not updating instantly in ‘My Calendar’ and ‘My Task at a Glance’ section
**Fix:** Authentication issues on some un-authenticated API endpoints like tasks, task types, activities

= v2.4.12 - May 07, 2021 =

**Notice:** Limited time promotion on account of Eid.

= v2.4.11 - March 17, 2021 =

**Notice:** Limited time promotion for weDevs’ birthday.

= v2.4.10 - Feb 13, 2021 =

**Fix** Vulnerable security issue.

= v2.4.9 - Jan 26, 2021 =

**Fix** Email notification was showing the wrong task completed user name.
**Fix** Every member can see every project.
**Fix** First-time task lists were not loading from the notification email.
**Update** Alignment problem when creating the new project.

= v2.4.8 - Dec 18, 2020 =

**Update** Task query updated for filtering tasks by complete_at date range.
**Fix** Completed tasks were not showing on my-task.
**Fix** Made the icons inline alignment on the subtask create form.

= v2.4.7 - Dec 10, 2020 =

**Update** PSR-4 standard.
**Fix** Project pagination was not working when all projects are deleted from the current page.
**Fix** Fixed the task pagination problem. It was not working when a task is deleted.

= v2.4.6 - Nov 21, 2020 =

**Fix** User capability is not chanting after save it.
**Fix** User can not access their reports from my-task.
**Fix** Email footer logo is not appearing.

= v2.4.5 - Nov 11, 2020 =

**New** Help tooltip in single task.
**Update** Rewrite email template.
**Fixed** Pagination back button is not working for project page.

= v2.4.4 - Oct 08, 2020 =

**New** Introduce new library simshaun/recurr.
**New** Added the remove format option in project manager text editor.
**Fixed** In text editor, after type '@' the list of users exceeds outside of the modal.
**Fix** Task assigned all users can change the task type.
**Fix** User can not delete their own created task comments.
**Fix** Remove the HTML tag from milestone title.

= v2.4.3 - Sep 10, 2020 =

**Update** In dashboard project menu bar has been rearranged.
**Update** In single task now user can navigate to project and task list.
**Fix** Co-worker can not be deleted in self created task comment.
**Fix** In frontend project manager date picker was not showing in single task.
**Fix** In my task, task create form did not change the list even the project has been change.
**Fix** Project title was missing from my-task.

= v2.4.2 - Aug 26, 2020 =

* **Fix** Single task popup is not appearing.

= v2.4.1 - Aug 25, 2020 =

* **New** Add new task type for individual task.
* **Fix** During task update the date picker was not showing.
* **Fix** Was not able to delete the task list description.
* **Fix** Optimize code for security issue.
* **Fix** Task list title was not able to update.
* **Fix** Completed project was not able to restore.

= v2.4.0 - Jul 17, 2020 =

* **New** Component for pm-vue2-daterange-picker, pm-button, pm-do-slot.
* **New** Change all date picker from all forms.
* **New** Manage do-action content without any wrapper.
* **New** API end point is now working for all permalink.
* **Update** UI/UX for creating new task.
* **Update** UI/UX for add new members from single task popup.
* **Update** UI/UX for task due date from single task popup.
* **Fix** Could not download files from the project.

= v2.3.11 - Jun 16, 2020 =

* **Fix** API end point is now working for all permalink.
* **Fix** My-task calendar missing current date task.
* **Fix** In my-task, The task is not updating after user closing the single task popup.
* **Fix** In My- task user can not select the date range during task create time.
* **Fix** User can not delete self created task-list.
* **Fix** In content text should not break in middle of the word (style change break-all to break-word).

= v2.3.10 - May 05, 2020 =

* **Fix** Task load more is not working for co-worker.

= v2.3.9 - Apr 30, 2020 =

* **New** New function for getting tasks, messages, milestones, discussions, projects, comments, files, users.
* **New** Project description shows upon clicking on the description button.
* **Update** Load more buttons showing twice after deleting completed task.
* **Fix** On My task overview graph showing error when there are no task.
* **Fix** Task assigned date is not showing in a single task popup.
* **Fix** Progress bar continue loading after clicking on Clear button on the task filter.

= v2.3.8 - Mar 12, 2020 =

* **New** Add fileter for removing project unique title.
* **Fix** Fixing Multiside completable issues.
* **Update** Update query for fetching users to make Multi-site compatible.

= v2.3.7 - Feb 27, 2020 =

* **Fix** In favorite project section 'all projects' were showing.
* **Fix** Task notification mails contain raw HTML.
* **Fix** Set 200 character limit when adding a new task.

= v2.3.6 - Feb 10, 2020 =

* **New** Set date range picker in my-task section to filter tasks.
* **New** Set date range picker in my-task overview to filter activities.
* **New** Duplicate a task from the task list.
* **New** New components are, pm-button, pm-dropdown-menu, pm-triangle-box, pm-click-wrap, pm-popup-modal, pm-date-range-picker.
* **Update** Redesigned task-create form.
* **Update** Replace jQuery date picker to date range picker.
* **Update** Some features are moved from task create a form to a single task page.
* **Fix** Assigned manager in a project was not getting mail at project creation time.
* **Fix** Make Multi-site compatible for fetching co-workers.
* **Fix** Invisible tools menu for co-workers.
* **Fix** Co-workers could not edit their created task.
* **Fix** 'Inbox' task create form was showing for all pagination pages.
* **Fix** Showing invalid date after searching outstanding task.
* **Fix** Favorite project was not working.

= v2.3.5 - Dec 19, 2019 =

* **New** Add privacy policy in the product description.
* **Fix** Sanitize data while updating task.
* **Fix** Add extra data validation on the database query.

= v2.3.4 - Nov 15, 2019 =

* **Fix** Task label are inserted two times while updating the task.
* **Fix** Task update buttons can not be selected for the tooltip.
* **Update** Project assigned users has been removed from user search results.
* **Update** Add text limit on task title.

= v2.3.3 - Nov 10, 2019 =

* **New** Integrate with Pusher for real time notification.
* **New** Include seeder for project, task-list and task.
* **New** Set filter in project fetch 'join' and 'where' query.
* **Fix** Task update popover menu used to break when task title was long.
* **Update** Reset button on task-list search.

= v2.3.2 - Oct 10, 2019 =

* **Fix** Conflict with elementor.
* **Update** Toastr library.

= v2.3.1 - Sep 26, 2019 =

* **New** User can create new task from my-task section.
* **New** Sorting my-task table column.
* **Update** My-tasks menu is not appear in front-end.
* **Update** Reduce loading executing time for project home page.
* **Update** Refactoring code for getting projects data.

= v2.3.0 - Sep 09, 2019 =

* **New** Remove current task, outstanding task and completed task tabs from my tasks.
* **New** Advanced task filtering option according to current task, outstanding task and completed task in my tasks section.
* **New** pm_capabilities, pm_role_project, pm_role_project_capabilities, pm_role_project_users table for permission management.
* **Update** Change single task popup url from my-task to single task lists.
* **Fix** Progress load more is not working.

= v2.2.4 - Jul 22, 2019 =

* **New** Task title field in task list search form.
* **Fix** Task sorting is not working.
* **Fix** Prevent sorting for default task list (Inbox).
* **Update** Showing 'more task' button even there is not task.

= v2.2.3 - Jul 15, 2019 =

* **Update** Task list search query.
* **Fix** After drag and drop task is not updating from my-task calendar.
* **Fix** Milestone disapear after reloding the page.

= v2.2.2 - Jun 28, 2019 =

* **New** Action hook in task list page 'pm_after_task_content'.
* **New** Event initiation after task user update 'after_update_single_task_user'.
* **New** Action hook before delete task list 'pm_before_delete_task_list'.
* **Update** User gets mail at task updating time even the task is not updated.
* **Update** Archived tasks will not appear on MyTask calendar.
* **Update** New tasks are listing in the descending order in the task lists.
* **Fix** User can remove administrator from manage capability permission.
* **Fix** Inbox task list does not appear at the top of the task lists.
* **Fix** compact(): undefined index variable problem for php 7.3
* **Fix** Text domain 'pm' to 'wedevs-project-manager'.
* **Fix** Task lists menu is not activating while clicking pagination.

= v2.2.1 - Jun 14, 2019 =

* **Fix** Fatal error undefined function.

= v2.2.0 - Jun 14, 2019 =

* **New** Added my task menu from where individual users can check their completed, current and outstanding tasks.
* **Fix** Assigned users can not find the task description.
* **Fix** Add new user in project does not appear in task users dropdown at task create or edit time.
* **Fix** A newly added user in a project did not appear in the dropdown i.e in the list of users while adding, creating or editing a task.
* **Fix** User can not udpate task comment from single task popup.
* **Fix** A newly added user does not appear in project update form.

= v2.1.0 - May 18, 2019 =

* **New** Trello Integration.
* **Fix** Fixed co-worker & client create task activities.
* **Fix** Removed usermap from global setting.
* **Fix** Removed unnecessary dashicons and added title to files.
* **Fix** Resolved conflict from setting header.
* **Fix** Fixed project edit form get closed when user click out side.

= v2.0.15 - May 02, 2019 =

* **Fix** Load more Completed & Incompleted task.
* **Fix** Pagination slug of completed task.
* **Fix** Optimize task queries for retrieving task ids.
* **Fix** The naming of variable "$milestones" to "$milestone" at filter 'pm_milestone_show_query'

= v2.0.14 - April 11, 2019 =

* **New** Included filter at task activity and after create comment.
* **Update** Remove search user minimum 3 character condition.
* **Update** Remove tooltip from list view and kanboard view button.
* **Update** Migrated from icomoon to Flaticon.
* **Fix** API authentication problem.
* **Fix** Some textdomain.

= v2.0.13 - March 04, 2019 =

* **New** Set loading effect for 'Load more' task.
* **New** Set loading effect at task list page and list archive page nevigation.
* **New** Set loading effect at task list pagination.
* **New** New library v-tooltip
* **Fix** Any kinds of url added extra   from tinymce text filed.
* **Fix** After project edit, the description is not updated real time.
* **Fix** Less file is not built to css file.
* **Update** Set target blank in tinymce posted url.

= v2.0.12 - Feb 15, 2019 =

* **New** New filter welcome page redirect.
* **Fix** Task pagination did not work.
* **Fix** Close button did not work in new project form.
* **Fix** Milestone due date did not update.
* **Update** Set permission at user create time from project overview page.

= v2.0.11 - Feb 08, 2019 =

* **New** Integrate with popper js.
* **New** Welcome page.
* **New** Premium page.
* **Fix** Change task list fetch query.
* **Fix** Change task fetch query.
* **Fix** File upload problem from discussion section.
* **Fix** After close single task the list page is refreshing.
* **Fix** Remove html tag from email content.
* **Fix** Color picker does not work.

= v2.0.10 - Dec 19, 2018 =

* **Hotfix** Fatal error at page and post edit time.

= v2.0.9 - Dec 19, 2018 =

* **New** Update user from overview page.
* **New** Move tasks from one list to another.
* **Update** Permission for project delete.
* **Fix** Project update time dialog-box close automatically.
* **Fix** Conflict with text editor and datepicker problem for task create.
* **Fix** Date-picker auto close, when select a date.
* **Fix** Coding standard according wordpress.

= v2.0.8 - Nov 29, 2018 =

* **New** Project home page redesign.
* **New** Close single task popup with ESC button.
* **New** Single task popup is enable from activity page.
* **Update** Task filter form alignment.
* **Fix** Relative date for comments.
* **Fix** Tabindex for texteditor.
* **Fix** Latest activity for single task.
* **Fix** More task button missing from completed tasks.
* **Fix** Date picker auto hide problem.
* **Fix** Task list responsive issue.
* **Remove** Slicknav library.

= v2.0.7 - Nov 08, 2018 =

*  **New** Switch project with key binding cmd+j/clt+j.
*  **New** Task list page redesign.
*  **New** Single task list page redesign.
*  **New** System default task list inbox.
*  **New** All description fields with validation and sanitization at edit time.
*  **New** Project title should be unique.
*  **Fix** Task filter query.
*  **Fix** Task and task-list sorting supported in mobile.

= v2.0.6 - Oct 02, 2018 =

* **New** Set permission setting for user mail notification.
* **New** Task single page redesign.
* **New** Show activity in single task page.
* **New** Projects can mark as favourite by users.
* **New** Added completed_by and completed_at fields in pm_tasks database table.
* **New** Added status field in pm_broad database table.
* **New** Support for video file upload.
* **New** New user notification.
* **New** Advanced task filter from task list page.
* **New** Set deleted activity log in activity section.
* **Fix** Invalid time issue in activity page.
* **Fix** Overview graph for last 3o days activity
* **Fix** Get email notification when update discussion

= v2.0.5 - August 16, 2018 =

* **New** Added filters for getting custom query in all transformers.
* **New** Project description in html format.
* **Fix** Undefined task title from activity.
* **Fix** Single task popup close automatically.
* **Fix** Activity count when delete an element.
* **Fix** Manage capability return false, when user role is not found.
* **Fix** Some translation issues.
* **Fix** Some compatibility issue on internet explorer.
* **Fix** Task assignee input field is not updating when assignee user field is Empty
* **Fix** Task list milestone input field is not updating when milestone is Empty

= v2.0.4 - July 27, 2018 =

 * **Fix** Download link for wedevs project manager php-5.6.

= v2.0.3 - July 27, 2018 =

 * **New** List drag, drop and reorder.
 * **New** Task independently switch in task lists.
 * **New** Added categry pagination.
 * **Fix** Date format problem for task and overviews graph.
 * **Update** Activity date format change.
 * **Update** Load All Categories in select form.
 * **Update** Load all HTTP request with GET and POST methods.

= v2.0.2 - July 23, 2018 =

 * **New** Create function for getting individual task.
 * **New** Hook for all CRUD (Create, Read, Update and Delete)
 * **Fix** Task complete and incomplete issues in microsoft edge browser.
 * **Fix** Pagination set -1 for per page and its getting error.
 * **Fix** Multisite installation and upgrade.
 * **Fix** Translation for vue files.
 * **Fix** Fetch project in single task page.
 * **Fix** Reduce conflict with WPERP plugin.
 * **Fix** JS make compitable with IE>8.

= v2.0.1 - Jun 29, 2018 =

 * **Fix:** Fix database migration problem upon updating the plugin.

= v2.0 - Jun 28, 2018 =

 * **BREAKING**: This **v2.0** release is a major version and introduces breaking changes by re-writing the whole plugin. Please test the plugin before updating from <strong>v1.x</strong>. Taking a **database backup** is adviced.
 * **New:** REST API added. Now you can access everything of project manager via the API. Creating of mobile apps would be much easier.
 * **New:** Moved from custom post type to custom database tables, which performs a lot faster.
 * **New:** We have re-written the Project Management UI, powered by [Vue.js](https://vuejs.org/). This introduces a SPA (Single Page Application) with blazing fast page loading and a snappier user experience.
 * **Bug Fixes:** We have also squashed a lot pesky bugs under the hood.

= 1.6.16 - Jun 11, 2018 =

 * [fixed] Project title is overlaping on RTL language.
 * [fixed] Could not select project category while creating/editing a project.
 * [fixed] Single task is not re-rendering

= 1.6.15 - May 10, 2018 =

 * [fixed] Task list is not showing when using the Internet Explorer browser.
 * [fixed] Projects dashboard display missing alignment.
 * [Update] Improved plugins text domain.

= 1.6.14 - April 26, 2018 =

 * [fixed] Task is not showing after clicking on a task from the calendar.
 * [fixed] Mail notificaation system not working.
 * [fixed] Category menu selection while creating project not working on RLT.
 * [fixed] RTL display missing alignment on milestone.

= 1.6.13 - April 12, 2018 =

 * [fixed] RTL display missing alignment.
 * [fixed] Settings menu is not showing properly on projects header.
 * [fixed] Project settings page translation not working.

= 1.6.12 - March 22, 2018 =

 * [fixed] Showing HTML markup in task descriptions when we enter plain text.
 * [fixed] To-do list, Discussion, milestone, page translation not working.
 * [fixed] Projects page translation not working.
 * [update] Improved plugin strings.

= 1.6.11 - February 26, 2018 =

 * [fix] Notify users while commenting in a task.
 * [fix] Trix-editor intregration with the WP ERP.
 * [fix] Compatible with the Microsoft Edge browser.
 * [fix] Task re-ordering.
 * [fix] Project list and grid view compatible with all browsers.

= 1.6.10 - November 27, 2017 =

 * [new] Vuejs loading made compact.
 * [new] Included vuejs in project file.
 * [update] Included file download attributes.
 * [update] Notify manager when updating comments.
 * [fix] Navigate to a task from the calendar.
 * [fix] User search problem fixed when creating a project.
 * [fix] Text editor style problem fixed.


= 1.6.9 - August 24, 2017 =

 * [fix] CPM free loader class active after loading WP all plugins
 * [fix] All co-workers get mail after completed the task
 * [new] weForms Upsell Class

= 1.6.8 - August 17, 2017 =

 * [fix] Prevent the loading trix-editor for all WP page.
 * [fix] Text formating retained got from others editor.
 * [fix] Creating second task does change the date of first task.
 * [new] Add new component cpm-datepicker

= 1.6.7 - August 01, 2017 =

 * [new] Js Tiptip library has been added.
 * [update] Condition applied when showing calendar on setting tast start date.
 * [update] Date icon has been shown if no date was set.
 * [update] Description icon has been shown if no description was set.
 * [update] Co-Worker icon has been shown if no Co-Worker was set in the task.
 * [fix] Double date picker shown at task date update time.
 * [fix] Undefined index errors.

= 1.6.6 - July 31, 2017 =

 * [new] Task title update from single task page.
 * [new] Task privacy update from single task page.
 * [new] Task description update from single task page.
 * [new] Task start and end date update from single task page.
 * [new] Add user/co-worker/client from single task page.
 * [fix] Unable to complete task.
 * [fix] When complete a task then this completed task shown double in the to-do list.
 * [fix] Double "New To-Do" button shown.
 * [update] 'Get project id' function always return false.
 * [update] Design change for single task page.

= 1.6.5 - July 6, 2017 =

 * [fix] Co-worker can not show the list corner menu.
 * [fix] Co-Worker could not notifying when add or update project.
 * [fix] Double "New To-Do" button shown and also cpm-new-todolist-form has shown when clicked "New To-Do" List button.
 * [fix] Project create permission.
 * [fix] Get complete and incomplete task query
 * [fix] Change routing effect at todo-list page to another page

= 1.6.4 - June 22, 2017 =

 * [new] Task list view on the right corner in to-do list section.
 * [update] Notify co-workers on task completion.
 * [update] Task update action hook.
 * [update] Style sheets updated.
 * [update] Some javascript refactored.
 * [fix] Wrong color is showing for a task on basis of task competion status.
 * [fix] PHP warning on project overview.
 * [fix] PHP warning on my task overview.

= 1.6.3 - June 07, 2017 =

 * [new] Drag and drop sortability added to the task
 * [update] Task color scheme.
 * [update] Activity graph color scheme in my task section.
 * [update] Single task redirection in my task section.
 * [update] Project duplication.
 * [update] Project overview section.
 * [fix] Grid/List view action on project listing is not working.
 * [fix] Project overview graph is not working.
 * [fix] Not all users of a project is being duplicated when duplicating a project.
 * [fix] Notification is sent to the co-workers when a project is created.
 * [fix] Unable to comment in a task when it is redirected from current task in my task.
 * [fix] Unable to comment in a task when it is redirected from outstanding task in mytask.
 * [fix] Unable to comment in a task when it is redirected from competed task in my task.
 * [fix] User selection is not working in my task.
 * [fix] Date section is not working in activity graph in my task.
 * [fix] Red color is showing for current task in my task.
 * [fix] Overview section in my task is not working
 * [fix] Activity section in my task is not working
 * [fix] Current task section in my task is not working
 * [fix] Outstanding task section in my task is not working
 * [fix] Completed task section in my task is not working
 * [fix] File attachment is not working when commenting in the file section of a project.
 * [fix] Unable to delete a comment in the file section of a project.
 * [fix] Commenting in a discussion board is not working.
 * [fix] Editing a comment in a discussion board is not working.
 * [fix] Deleting a comment in a discussion board is not working.
 * [fix] Javascript shows error when commenting, editing comments and deleting comments in discussion board.

= 1.6.2 - April 27, 2017 =

 * [new] Email template for mentioning users in a comment. [pro]
 * [new] Moment js dependency added.
 * [new] Compatibility for mentioning users in a comment.
 * [update] Include filter for register project post type.
 * [update] Include filter for register project taxonomy.
 * [update] Change pagination position from left to right.
 * [update] Pagination has been shown up and down of to-do lists content.
 * [update] Single task url.
 * [update] To-do lists progress bar.
 * [update] Unnecessary parameters removed form wp_enqueue_script in cpm.
 * [update] Array declaration according to lower version of php.
 * [fix] Can’t use function return value in write context.
 * [fix] Syntax error, unexpected '['
 * [fix] Filtering for to-do lists private view.
 * [fix] Filtering problem for the visibility of to-do lists create button.
 * [fix] List style problem in tiny-MCE comment box while commenting on discussion board.
 * [fix] WP nonce problem in project discussion.


= 1.6.1 - April 11, 2017 =

 * [fix] Load JS files only in todo list page
 * [fix] Fix typo in todo list privacy checking capability
 * [fix] Shortcode rendering in comments
 * [fix] Remove users from notification panel outside of the project members
 * [fix] Removed PHP array shorthand declaration
 * [fix] Single task URL problem in My Task

= 1.6 - April 08, 2017 =

 * [new] Use js library Vue
 * [new] Design layout changed for To-do Lists.
 * [new] Real time update every action for To-do lists.
 * [new] Two way data binding for to-do list edit
 * [new] Two way data binding for task edit
 * [new] Task lazy loading.
 * [new] Vue routing for single To-do list
 * [new] Real time pagination.
 * [new] Completed and incomplete label added for corresponding tasks in single to-list.
 * [update] Discussion editor changed from tricks to tinymce.
 * [update] Real time change of progress bar.
 * [update] Assign user to task options changed from choosen to Vue multiselect.
 * [update] User avatar(gravatar) link changed form 404 to mm
 * [fix] Remove comments link from overview.
 * [fix] All functionalities for to-do list.


= 1.5.1 - September 19, 2016 =

 * [new] Send Email Notification when a comment updates.
 * [new] Add filter for how many letter to show when image name is long in files tab.
 * [fix] Fixed conflict with buddypress.
 * [fix] Fixed Project creation capability and update language files.
 * [fix] Made Report print friendly.
 * [fix] Files tab loading improvement.
 * [fix] Show all comments in newly uploaded file view.
 * [fix] Client view private discussion.

= 1.5 - August 20, 2016 =

 * [new] Report section new design (*pro*).
 * [new] New Report item added (*pro*).
 * [new] Files tab new design and add new feature in pro version (*pro*).
 * [new] Add option for create document and connect to other online Docs (*pro*).
 * [new] Add option to upload files / attachment direct to a project (*pro*).
 * [fix] Duplicate mail send on project create.
 * [fix] Change cpm_get_option function.

= 1.4.3 - May 30, 2016 =

 * [fix] Milestone input date and project redirect issue after create.
 * [fix] Sorting completed milestone
 * [fix] Image broken in emails
 * [fix] File upload on first discussion problem fix.
 * [fix] Task Done/Undone tick problem fix.
 * [fix] New user create on project create or update problem fix.
 * [fix] Department or personal projects show in ERP integration.

= 1.4.2 - April 6, 2016 =

 * [fix] Project permission problem in free version

= 1.4.1 - March 28, 2016 =

 * [new] Task list sticky option added as a replacement for sorting
 * [new] Proper mime type icon set
 * [new] Initial ERP integration added
 * [fix] Front-end URL issue

= 1.4 - March 13, 2016 =

 * [new] UI Re-designed
 * [new] Tasks now have a description field
 * [tweak] As now we have description in tasks, previous tasks were updated.
 * [tweak] Project post_type changed from `project` to `cpm_project`
 * [tweak] Task post_type changed from `task` to `cpm_task`
 * [tweak] Task List post_type changed from `task_list` to `cpm_task_list`
 * [tweak] Milestone post_type changed from `milestone` to `cpm_milestone`
 * [tweak] Message post_type changed from `message` to `cpm_message`
 * [tweak] project_category taxonomy changed from `project_category` to `cpm_project_category`

= 1.3.8 - October 20, 2015 =

 * [fix] Front-end current task, outstanding task and completed task url problem fix
 * [fix] Without login can access front-end problem fix
 * [fix] Current task, outstanding task and completed task live update problem fix.
 * [fix] Fetch outstanding and completed task problem fix

= 1.3.7 - October 15, 2015 =

 * [fix] Fix LogicException on autoloader

= 1.3.6 - October 15, 2015 =

 * [fix][pro] Add category for front-end
 * [fix] Email notification subject issue fixed

= 1.3.5 - September 29, 2015 =

 * [fix] User role and items table weren't being created during install

= 1.3.4 - September 19, 2015 =

 * [fix] Pagination error fix in free version
 * [fix] Project manage/create cap option brought back to free
 * [fix] Version upgrader issue fixed

= 1.3.3 - September 15, 2015 =

 * [fix] Single project permission issue

= 1.3.2 - September 14, 2015 =

 * [fix] Project Duplication error
 * [fix] New task assignmed email subject was missing

= 1.3.1 - September 11, 2015 =

 * [fix] File missing problem for front-end
 * [fix] Plugin path in updater

= 1.3 - September 3, 2015 =

 * [improved] Free/Pro separation. Massive code change
 * [improved] Email notification templates updated. Removed the settings from admin.

= 0.4.6 =

* Fix: new project popup, some bug was still in the 0.4.5 version.

= 0.4.5 =

* Fix: new project popup
* New: Pagination support on projects

= 0.4.4 =

* Language files updated
* New action hooks and JS triggers added
* Settings API updated

= 0.4.3 =

* new: Spanish translation
* new: German translation
* new: Indonesian translation
* fix: milestone datepicker issue
* fix: some typo fixes
* improved: comment count next to tasklists

= 0.4.2 =

* bug fix: project activity/comments on frontend widget
* bug fix: project activity/comments on comment rss
* bug fix: number of milestones
* improved: plugin textdomain loading
* new: project task progressbar on project listing
* new: tasklist sorting
* new: task sorting
* new: Dutch translation language added
* new: Brazilian Portuguese language added

= 0.4.1 =

* bug fix: attachment association problem on comment update
* bug fix: error on message update

= 0.4 =

* improved: default email format changed to 'text/plain' from 'text/html'
* improved: toggle added on user notification selection
* improved: only date was showing on single message details, time added
* improved: some filters added on URLs
* bug fix: actual file url hidden on files tab for privacy
* bug fix: any user could edit any users message
* bug fix: any user could delete any users message
* new: admin settings page added
* new: email template added
* new: French translation added
* new: file upload size settings added

= 0.3.1 =

* comment update bug fix
* project activity is now grouped by date
* "load more" button added on project activity
* some function documentation added.

= 0.3 =

* Translation capability added
* Attachment security added. All files are now served via a proxy script
  for security with permission checking.

= 0.2.1 =

* Comments display error fix

= 0.2 =

* Remove comments from listing publicly
* Post types are hidden from search

= 0.1 =
Initial version released
